"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const utils_1 = require("../../utils");
exports.default = (_options) => {
    return schematics_1.chain([removeCommitlintAngularConfig]);
};
const removeCommitlintAngularConfig = () => (tree, context) => {
    context.logger.info('Updates npm packages as dev dependencies');
    const packageJson = utils_1.getPackageJson(tree);
    if (packageJson.devDependencies['@commitlint/config-angular'] === '^8.2.0') {
        delete packageJson.devDependencies['@commitlint/config-angular'];
    }
    utils_1.overwritePackageJson(tree, packageJson);
};
//# sourceMappingURL=index.js.map